# $Revision: 1.14.2.9 $, $Date: 2003/10/21 21:09:41 $
#
# Conditional build:
# _without_audiogalaxy	- without Audio Galaxy support
# _without_opennap	- without Open Napster support
# _without_limewire	- without Gnutella LimeWire support
# _without_directconnect- without Direct Connect support
# _without_soulseek	- without Soulseek support
# _without_openft	- without OpenFT support
# _without_cymes	- without Cymes support
# _without_donkey	- without eDonkey support
#
Summary:	eDonkey 2000 p2p network client
Summary(pl):	Klient sieci p2p eDonkey 2000
Name:		mldonkey
%define	main_ver	2.5
%define	sub_ver		4
Version:	%{main_ver}.%{sub_ver}
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://savannah.nongnu.org/download/mldonkey/release-%{main_ver}-%{sub_ver}/official/%{name}-%{main_ver}-%{sub_ver}.tar.gz
# Source0-md5:	ef72a0c8e1337bfcce9f80f4a94dd927
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.sh
Source4:	%{name}.png
Source5:	%{name}-gui.desktop
Patch0:		%{name}-configwin.patch
URL:		http://www.nongnu.org/mldonkey/
BuildRequires:	bzip2-devel
BuildRequires:	gtk+-devel
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-lablgtk-devel
BuildRequires:	perl
PreReq:		rc-scripts
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLDonkey is a door to the 'donkey' network, a decentralized network
used to exchange big files on the Internet. It is written in a
wonderful language, called Objective-Caml, and present most features
of the basic Windows donkey client, plus some more:
  - It should work on most UNIX-compatible platforms.
  - You can remotely command your client, either by telnet, on a WEB
    browser, or with the GTK interface.
  - You can connect to several servers, and each search will query all
    the connected servers.
  - You can select mp3s by bitrates in queries (useful ?).
  - You can select the name of a downloaded file before moving it to
    your incoming directory.
  - You can have several queries in the graphical user interface at the
    same time.
  - You can remember your old queries results in the command-line
    interface.
  - You can search in the history of all files you have seen on the
    network.

It can also access other peer-to-peer networks:
- Direct Connect
- Open Napster
- Gnutella LimeWire
- Soulseek
- Audio Galaxy
- OpenFT

%description -l pl
mldonkey jest nowym klientem do eDonkey 2000, zdecentralizowanej sieci
peer-to-peer bardzo wydajnej przy przesyaniu duych plikw dzieki
protokoowi pobierania danych z wielu rde. Klient ten zosta
napisany w jzyku Objective-Caml i ma wikszo cech podstawowego
klienta windowsowego, a ponadto:
 - dziaa na wikszoci platform uniksowych,
 - pozwala zdalnie sterowa klientem przez interfejs telnet, WWW lub
   GTK,
 - mona czy si z kilkoma serwerami, wtedy kade przeszukiwanie
   odpyta poczone serwery,
 - mona wybiera pliki mp3 po bitrate w zapytaniach,
 - mona wybiera nazw pliku do cignicia przed przejciem do
   katalogu incoming,
 - mona jednoczenie wykonywa kilka zapyta w graficznym
   interfejsie,
 - mona zapamita wyniki zapyta w interfejsie z linii polece,
 - mona przeszukiwa histori wszystkich plikw widzianych w sieci.

Klient umoliwia take dostp do innych sieci peer-to-peer:
 - Direct Connect,
 - Open Napster,
 - Gnutella LimeWire,
 - Soulseek,
 - Audio Galaxy,
 - OpenFT.

%package gui
Summary:	Graphical frontend for mldonkey based on GTK
Summary(pl):	Graficzny interfejs uytkownika GTK dla mldonkey
Group:		X11/Applications/Networking

%description gui
The GTK interface for mldonkey provides a convenient way of managing
all mldonkey operations. It gives details about connected servers,
downloaded files, friends and lets one search for files in a pleasing
way.

%description gui -l pl
Interfejs uytkownika GTK dla mldonkey daje wygodny sposb zarzdzania
wszystkimi operacjami mldonkey. Udostpnia szczegy dotyczce
poczonych serwerw, ciganych plikw, znajomych oraz pozwala
wyszukiwa pliki w przyjemny sposb.

%package submit
Summary:	This tool gives you an easy way to add a ed2k-link
Summary(pl):	Narzdzie pozwalajce atwo doda odnoniki ed2k
Group:		X11/Applications
Requires:	kdebase
Requires:	perl-libwww

%description submit
This tool gives you an easy way to add a ed2k-link (like
ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
with a single click to your mldonkey download queue.

You need to edit /etc/sysconfig/mldonkey_submit.

%description submit -l pl
To narzdzie pozwala atwo doda odnonik ed2k (w rodzaju
ed2k://|file|filename.exe|21352658|72b0b287cab7d875ccc1d89ebe910b9g|)
pojedynczym klikniciem na kolejk cigania mldonkey.

Trzeba zmodyfikowa plik /etc/sysconfig/mldonkey_submit.

%prep
%setup -q -n %{name}-%{main_ver}-%{sub_ver}
%patch0 -p1

%build
perl -pi -e 's|/etc/sysconfig/mldonkey|/etc/sysconfig/mldonkey_submit|' distrib/ed2k_submit/mldonkey_submit

%configure2_13 \
	%{?_without_audiogalaxy:--disable-audiogalaxy} \
	%{?_without_opennap:--disable-opennap} \
	%{?_without_limewire:--disable-limewire} \
	%{?_without_directconnect:--disable-directconnect} \
	%{?_without_soulseek:--disable-soulseek} \
	%{?_without_openft:--disable-openft} \
	%{?_without_cymes:--disable-cymes} \
	%{?_without_donkey:--disable-donkey}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/mldonkey,%{_initrddir},%{_sysconfdir}/sysconfig} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Network/Misc,%{_datadir}/services}

# core
install mlnet $RPM_BUILD_ROOT%{_bindir}/mlnetd
install distrib/mldonkey_command $RPM_BUILD_ROOT%{_bindir}/mldonkey_command
install distrib/kill_mldonkey $RPM_BUILD_ROOT%{_bindir}/kill_mldonkey

install mlgui $RPM_BUILD_ROOT%{_bindir}/mlgui
install mlnet+gui $RPM_BUILD_ROOT%{_bindir}/mlnet+gui
install mlguistarter $RPM_BUILD_ROOT%{_bindir}/mlguistarter
install mlchat $RPM_BUILD_ROOT%{_bindir}/mlchat
install distrib/mldonkey_previewer $RPM_BUILD_ROOT%{_bindir}/mldonkey_previewer

install distrib/ed2k_submit/mldonkey_submit $RPM_BUILD_ROOT%{_bindir}/mldonkey_submit
install distrib/ed2k_submit/mldonkey $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mldonkey_submit
install distrib/ed2k_submit/ed2k.protocol $RPM_BUILD_ROOT%{_datadir}/services/ed2k.protocol

install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/mldonkey
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mldonkey
install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/mlnet
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}/
install %{SOURCE5} $RPM_BUILD_ROOT%{_applnkdir}/Network/Misc/

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid mldonkey`" ]; then
	if [ "`getgid mldonkey`" != "33" ]; then
		echo "Error: group mldonkey doesn't have gid=33. Correct this before installing mldonkey." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 33 -r -f mldonkey
fi

if [ -n "`id -u mldonkey 2>/dev/null`" ]; then
	if [ "`id -u mldonkey`" != "47" ]; then
		echo "Error: user mldonkey doesn't have uid=47. Correct this before installing mldonkey." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -m -o -r -u 47 \
		-d /home/services/mldonkey -s /bin/sh -g mldonkey \
		-c "mldonkey" mldonkey 1>&2
fi

%post
/sbin/chkconfig --add mldonkey
if [ -f /var/lock/subsys/mldonkey ]; then
	/etc/rc.d/init.d/mldonkey restart >&2
else
	cd ~mldonkey
	mldonkeyd -exit > /dev/null 2>&1
	echo "Run \"/etc/rc.d/init.d/mldonkey start\" to start mldonkey." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/mldonkey ]; then
		/etc/rc.d/init.d/mldonkey stop
	fi
	/sbin/chkconfig --del mldonkey
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel mldonkey
	/usr/sbin/groupdel mldonkey
fi

%files
%defattr(644,root,root,755)
%doc docs/* distrib/{AUTHORS,BUGS,ChangeLog,directconnect.ini,ed2k_links.txt,FAQ.html,TODO}
%config(noreplace) %{_sysconfdir}/sysconfig/mldonkey
%attr(754,root,root) %{_initrddir}/mldonkey
%attr(755,root,root) %{_bindir}/mlnetd
%attr(755,root,root) %{_bindir}/mlnet
%attr(755,root,root) %{_bindir}/mldonkey_command
%attr(755,root,root) %{_bindir}/kill_mldonkey

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mlchat
%attr(755,root,root) %{_bindir}/mlgui
%attr(755,root,root) %{_bindir}/mlnet+gui
%attr(755,root,root) %{_bindir}/mlguistarter
%attr(755,root,root) %{_bindir}/mldonkey_previewer
%{_pixmapsdir}/*
%{_applnkdir}/Network/Misc/*

%files submit
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sysconfig/mldonkey_submit
%attr(755,root,root) %{_bindir}/mldonkey_submit
%{_datadir}/services/ed2k.protocol

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mldonkey.spec,v $
Revision 1.14.2.9  2003/10/21 21:09:41  ciesiel
- upgraded to version 2.5.4
- STBR for RA 1.1 :)

Revision 1.14.2.8  2003/08/13 13:52:02  ciesiel
- autoupdated to version 2.5.3 release 3

Revision 1.23  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.22  2003/08/12 08:34:23  malekith
- remove Requires:
  - that are found automatically (gtk+)
  - that are *not* needed (ocaml-*) (why mldonkey would need compiler?)
- release 3

Revision 1.21  2003/08/11 15:03:13  gotar
- fixed gui subpackage resource files permissions

Revision 1.20  2003/08/01 11:23:21  ciesiel
- merged from RA-branch.
- new version 2.5.3

Revision 1.14.2.7  2003/07/12 21:06:26  blues
- cosmetics

Revision 1.14.2.6  2003/07/10 09:43:58  ciesiel
- fix mldonkey.init; kill and status daemon mlnetd

Revision 1.14.2.5  2003/07/08 20:46:19  ciesiel
TODO: make kill daemon mlnetd from /etc/rc.d/init.d/mldonkey file

Revision 1.14.2.4  2003/07/08 19:16:34  ciesiel
changes in %prep section

Revision 1.14.2.3  2003/07/08 18:02:57  matkor
- Autoupdated to version 2.5.3. Release 1.

Revision 1.14.2.2  2003/07/02 01:13:57  blues
- merged cleanups from HEAD

Revision 1.14.2.1  2003/06/27 11:39:54  matkor
- Release 1. Fixed (I hope) desktop icon.

Revision 1.14  2003/05/29 23:25:31  undefine
- update to 2.5

Revision 1.13  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 06:44:31  pascalek
- revert user changes

Revision 1.10  2003/05/14 13:41:31  djrzulf
- added BR ocaml-camlp4

Revision 1.9  2003/05/12 13:26:01  djrzulf
- added patch, but still doesn't build:
Unbound value GEdit.text

Revision 1.8  2003/05/12 12:32:15  djrzulf
- started update 2.4,

Revision 1.7  2003/05/10 11:31:33  pascalek
- Req user-mldonkey

Revision 1.6  2003/04/26 10:19:04  mkierus
- fixed Requires

Revision 1.5  2003/03/28 20:10:04  qboosh
- s/lablgtk/ocaml-lablgtk/

Revision 1.4  2003/02/08 10:48:24  leafnode
- added icon and desktop files for GUIs

Revision 1.3  2002/12/26 13:48:33  qboosh
- completed pl descriptions
- added some missing BR/R

Revision 1.2  2002/12/25 00:54:57  leafnode
- added missing requires and buildrequires

Revision 1.1  2002/12/25 00:50:59  leafnode
- spec file created, adapterized
